[metadata]
name = spacedao-indexer
url = https://gitlab.com/parametry-ai/space-dao/spacedao-indexer
author = Red Boumghar
author_email =
license = LGPLv3
classifiers =
    Development Status :: 3 - Alpha
    Intended Audience :: Developers
    License :: OSI Approved :: GNU Lesser General Public License v3 (LGPLv3)
    Programming Language :: Python :: 3
description = Space DAO Indexer 
description-file = README.md
long_description = file: README.md
long_description_content_type=text/markdown
keywords =
    space, blockchain

[options]
packages = find:
include_package_data = True
python_requires = >= 3.10
install_requires =
    py-algorand-sdk
    numpy
    click

# For building documentation (ie, readthedocs stuff in the docs/
# directory).  To get these packages, run `pip install -e .[docs]`
# (yes, with the square brackets).
[options.extras_require]
docs =
    myst-parser
    sphinx

[bdist_wheel]
universal = true

[flake8]
exclude = spacedao-indexer/_version.py,versioneer.py,build,.tox,playground,.venv

[tool:isort]
skip = _version.py,versioneer.py,build,.tox,playground
multi_line_output = 2

# See the docstring in versioneer.py for instructions. Note that you must
# re-run 'versioneer.py setup' after changing this section, and commit the
# resulting files.

[versioneer]
VCS = git
style = pep440
versionfile_source = spacedao-indexer/_version.py
versionfile_build = spacedao-indexer/_version.py
tag_prefix =
parentdir_prefix =

[options.entry_points]
console_scripts =
    spacedao-indexer = spacedao-indexer.spacedao-indexer:cli
